routes/web.php
<?php

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});
Auth::routes();
//Route::get('home', 'HomeController@index')->name('home');
// Route::group(['middleware' => ['auth']], function() {
//     Route::resource('roles','RoleController');
//     Route::resource('users','UserController');
//     //Route::resource('/users','UserController',['except' => ['show','create','store']]);
// });
/********* **********/
/*formation routes*/
/********* **********/
Route::group(['prefix' => 'admin', 'as' => 'admin.', 'middleware' => ['auth']], function () {
//Route::get('/', 'HomeController@index')->name('home');
Route::get('/dashboard', 'AdminController@dashboard')->name('dashboard');
Route::resource('roles','RoleController');
Route::resource('users','UserController');
Route::resource('categories','CategoryController');
Route::resource('formations','FormationController');
Route::resource('chapitres','ChapitreController');
Route::resource('questions','QuestionController');
Route::resource('reponses','ReponseController');


// Route::get('/chapitre', 'ChapitreController@index')->name('chapitres.index');
//Route::get('user/show', 'UserController@show')->name('show');

/********* **********/
/*category routes*/
/********* **********/

Route::group(['prefix' => 'category', 'as' => 'categories.'],  function () {
    Route::get('/create','CategoryController@create')->name('create');
    Route::post('/create','CategoryController@store')->name('store');
    Route::get('/{id}/show','CategoryController@show')->name('show');
    Route::get('/{id}/delete','CategoryController@destroy')->name('destroy');
    }); 
/********* **********/
/*formation routes*/
/********* **********/

Route::group(['prefix' => 'formation', 'as' => 'formations.'],  function () {
Route::get('/create','FormationController@create')->name('create');
Route::post('/create','FormationController@store')->name('store');
Route::get('/{id}/show','FormationController@show')->name('show');
Route::get('/{id}/delete','FormationController@destroy')->name('destroy');
}); 

/********* **********/
/*chapitre routes*/
/********* **********/
Route::group(['prefix' => 'chapitre', 'as' => 'chapitres.'],  function () {
Route::get('/create','ChapitreController@create')->name('chapitres.create');
Route::post('/create','ChapitreController@store')->name('chapitres.store');
Route::get('/{id}/show','ChapitreController@show')->name('show');
Route::get('/{id}/delete','ChapitreController@destroy')->name('destroy');
});
/********* **********/
/*question routes*/
/********* **********/
Route::group(['prefix' => 'question', 'as' => 'questions.'],  function () {
    Route::get('/create','QuestionController@create')->name('questions.create');
    Route::post('/create','QuestionController@store')->name('questions.store');
    Route::get('/{id}/show','QuestionController@show')->name('show');
    Route::get('/{id}/delete','QuestionController@destroy')->name('destroy');
    });

/********* **********/
/*reponse routes*/
/********* **********/
Route::group(['prefix' => 'reponse', 'as' => 'reponses.'],  function () {
    Route::get('/create','ReponseController@create')->name('reponses.create');
    Route::post('/create','ReponseController@store')->name('reponses.store');
    Route::get('/{id}/show','ReponseController@show')->name('show');
    Route::get('/{id}/delete','ReponseController@destroy')->name('destroy');
    });


// Route::get('/role', 'RoleController@index')->name('roles.index');
// Route::get('/create','RoleController@create')->name('roles.create');
// Route::post('/create','RoleController@store')->name('roles.store');
});

app/Category.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Category extends Model
{
    protected $fillable = ['title'];

   
    public function formations()
    {
        return $this->hasMany('App\Formation');
    }
}

app/Http/Controllers/CategoryController.php
<?php

namespace App\Http\Controllers;

use App\Category;
use Illuminate\Http\Request;

class CategoryController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $data = Category::all();
        return view('admin.categories.index',compact('data'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('admin.categories.add');

    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
      
        $category = new Category();
        $request->validate([
            'title' => 'required'
        ]);   
        $title = $request->title;
        $category->title =$title;         
        $category->save();
        return redirect()->route('admin.categories.index');
 
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Category  $category
     * @return \Illuminate\Http\Response
     */
    public function show(Category $category)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Category  $category
     * @return \Illuminate\Http\Response
     */
    public function edit(Category $category)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Category  $category
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Category $category)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Category  $category
     * @return \Illuminate\Http\Response
     */
    public function destroy(Category $category)
    {
        //
    }
}

resources/views/admin/categories/add.blade.php
@extends('layouts.adminLayout')
@section('content')
 <!-- Content Wrapper. Contains page content -->
 <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>General Form</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Home</a></li>
              <li class="breadcrumb-item active">General Form</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <!-- left column -->
          <div class="col-md-12">
            <!-- general form elements -->
            <div class="card card-primary">
              <div class="card-header">
                <h3 class="card-title">Ajouter Formation</h3>
              </div>
              <!-- /.card-header -->
              <!-- form start -->
              <form action="{{ route('admin.categories.store') }}" method="POST" >
                @csrf
                <div class="card-body">
                  <div class="form-group">
                    <label for="title">Description</label>
                    <input type="text" name="title" class="form-control" id="title" placeholder="Ajouter un titre ">
                  </div>
                
                </div>
                <!-- /.card-body -->

                <div class="card-footer">
                    
                  <button type="submit" class="btn btn-primary">Submit</button>
                </div>
              </form>
            </div>
           
            <!-- /.card -->
          </div>
          <!--/.col (right) -->
        </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
@endsection

resources/views/admin/categories/index.blade.php
@extends('layouts.adminLayout')
@section('content')
<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>DataTables</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <a class="btn btn-block bg-gradient-success" href="{{ route('admin.categories.create') }}">
                Ajouter
              </a>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
    
    <!-- Main content -->
    <section class="content">
      <div class="row">
        <div class="col-12">
          <div class="card">
            <div class="card-header">
              <h3 class="card-title">Liste des Formations</h3>
            </div>
            <!-- /.card-header -->
            <div class="card-body">
              <table id="example2" class="table table-bordered table-hover">
                <thead>
                <tr>
                  <th>Title</th>
                 
                  <th>Action</th>
                </tr>
                </thead>

                <tbody>
                    
                    @foreach ($data as $item)
                        
                  
                    <tr>
                      <td>{{$item -> title}}</td>
                   
                      <td>
                        <a href="{{route('admin.categories.show',['id'=>$item->id])}}" class = "btn btn-primary">Show</a>
                        <a href="{{route('admin.categories.destroy',['id'=>$item->id])}}" class = "btn btn-danger">Delete</a>
                      </td>
                      </tr>

                    @endforeach
                    </tbody>
                    <tfoot>
                    <tr>
                      
                    </tr>
                    </tfoot>
              </table>
            </div>
            <!-- /.card-body -->
          </div>
          <!-- /.card -->

         
          <!-- /.card -->
        </div>
        <!-- /.col -->
      </div>
      <!-- /.row -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
  @endsection